BlitzReels
BlitzReelsDocumentation
API Reference
POST
/publishing/video/schedule

Schedule one workspace video asset to YouTube, Instagram, Facebook, or TikTok without requiring an existing BlitzReels project.

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/publishing/video/schedule" \  -H "Content-Type: application/json" \  -d '{    "media_asset_id": "string",    "scheduled_for": "string",    "targets": [      {        "platform": "youtube"      }    ]  }'
{  "post_id": "string",  "status": "scheduled",  "scheduled_for": "string",  "project_id": "string",  "export_id": "string",  "source": "media_asset",  "source_media_asset_id": "string",  "targets": [    {      "target_id": "string",      "connection_id": "string",      "platform": "youtube",      "status": "scheduled"    }  ],  "next_actions": [    {      "method": "GET",      "path": "string",      "reason": "string"    }  ]}